ID CVE-2019-12101
Summary coap_decode_option in coap.c in LibNyoci 0.07.00rc1 mishandles certain packets with "Uri-Path: (null)" and consequently allows remote attackers to cause a denial of service (segmentation fault).
References
Vulnerable Configurations
  • cpe:2.3:a:libnyoci_project:libnyoci:0.07.00:rc1:*:*:*:*:*:*
    cpe:2.3:a:libnyoci_project:libnyoci:0.07.00:rc1:*:*:*:*:*:*
CVSS
Base: 5.0 (as of 16-05-2019 - 12:27)
Impact:
Exploitability:
CWE CWE-476
CAPEC
Access
VectorComplexityAuthentication
NETWORK LOW NONE
Impact
ConfidentialityIntegrityAvailability
NONE NONE PARTIAL
cvss-vector via4 AV:N/AC:L/Au:N/C:N/I:N/A:P
refmap via4
misc https://github.com/darconeous/libnyoci/issues/21
Last major update 16-05-2019 - 12:27
Published 15-05-2019 - 05:29
Back to Top